# Class CIM_VideoBIOSFeature
extends CIM_SoftwareFeature

VideoBIOSFeature represents the capabilities of the low-level software that is used to bring up, configure and use a ComputerSystem's VideoController and Display.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_SoftwareFeature
|
+--CIM_VideoBIOSFeature

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | VideoBIOSFeature represents the capabilities of the low-level software that is used to bring up, configure and use a ComputerSystem's VideoController and Display.
UMLPackagePath | string | CIM::Application::BIOS
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CharacteristicDescriptions | string[] |
ArrayType | string | Indexed
Description | string | An array of free-form strings providing more detailed explanations for any of the VideoBIOS features indicated in the Characteristics array. Note, each entry of this array is related to the entry in the Characteristics array that is located at the same index.
MappingStrings | string | MIF.DMTF|Video BIOS Characteristic|001.4
ModelCorrespondence | string | CIM_VideoBIOSFeature.Characteristics
Characteristics | uint16[] |
ArrayType | string | Indexed
Description | string | An array of integers that specify the features supported by the VideoBIOS. For example, one could indicate support for VESA power management (value=6) or video BIOS shadowing (8). The value, 3, is not valid in the CIM Schema since in DMI it represents that no BIOS Features are supported. In this case, the object should not be instantiated.
MappingStrings | string | MIF.DMTF|Video BIOS Characteristic|001.3
ModelCorrespondence | string | CIM_VideoBIOSFeature.CharacteristicDescriptions
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9
Values | string | Other, Unknown, Undefined, Standard Video BIOS, VESA BIOS Extensions Supported, VESA Power Management Supported, VESA Display Data Channel Supported, Video BIOS Shadowing Allowed, Video BIOS Upgradeable

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
IdentifyingNumber | string | CIM_SoftwareFeature
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_SoftwareFeature
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProductName | string | CIM_SoftwareFeature
Status | string | CIM_ManagedSystemElement
Vendor | string | CIM_SoftwareFeature
Version | string | CIM_SoftwareFeature
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods